org.eclipse.net4j.util.collection

## Interface CloseableIterator<E>

- All Superinterfaces:
    Closeable, Iterator<E>
  All Known Implementing Classes:
    AbstractCloseableIterator, DelegatingCloseableIterator

      public interface CloseableIterator<E>
      extends Iterator<E>, Closeable

  A closeable iterator.
  Author:
    Eike Stepper

- - ### Method Summary

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html